! EUC
! 自由形式のfortranで書いています。
! g77でコンパイルする場合は、
!g77 -ffree-form -o smv smv.f
! のようにコンパイルしてください。
!
! 学生に番号を付けて、その番号をランダムに並べる。
!
implicit real*8 (a-h,o-z)
dimension nran(100)
      ninzuu=57
      ran1=rand()
 nran(1)=int(ran1*ninzuu)+1
do i=2,ninzuu
!print*,'i=',i
 do
      ran1=rand()
 kari=int(ran1*ninzuu)+1
 ndame=0
  do j=1,i-1
  if (kari==nran(j)) ndame=1
!print*,'j=',j,'kari=',kari
  end do
  if (ndame==0) then 
          nran(i)=kari
          exit
  end if
 end do
 end do
 do i=1,ninzuu
 print*, nran(i)+100
 end do
 end
  



